@import '/Nhome/styles/reset.css';

@import '/Nhome/styles/layout.css';
@import '/Nhome/styles/font.css?v=2';
@import '/Nhome/styles/color.css';

@import '/Nhome/styles/button.css';
@import '/Nhome/styles/slider.css';

@import '/Nhome/styles/pagination.css';
@import '/Nhome/styles/form.css';
@import '/Nhome/styles/notice.css';

@import '/Nhome/layout/header/header.css';
@import '/Nhome/layout/footer/footer.css?v=3';
@import '/Nhome/layout/top-btn/top-btn.css';
@import '/Nhome/layout/contact/contact.css';

html {
  scroll-behavior: smooth;
  color: var(--black);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

button {
  margin: 0;
  padding: 0;
  border: none;
  background: none;
  cursor: pointer;
}

a {
  text-decoration: none;
  color: inherit;
}

/* 스크롤 애니메이션 관련 스타일 */
.fade-in-up {
  opacity: 0;
  transform: translateY(50%);
  transition: all 0.8s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}

.fade-in-up.animate {
  opacity: 1;
  transform: translateY(0);
}
